Subject: [Gen-art] Gen-ART review of draft-ietf-v6ops-siit-dc-2xlat-01

From: Christer Holmberg <[email-masked]>
Date: Thu, 17 Sep 2015 10:13:17 +0000

I am the assigned Gen-ART reviewer for this draft. For background on Gen-ART, please see the FAQ at <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>
Document:                                   draft-ietf-v6ops-siit-dc-2xlat-01.txt
Reviewer:                                     Christer Holmberg
Review Date:                               17 September 2015
IETF LC End Date:                       22 September 2015
IETF Telechat Date:                   N/A
Summary:                                     The document is well written, and almost ready for publication. However, there are a few editorial nits that I ask the author to address.
Major Issues: None
Minor Issues: None
Editorial Issues:

Section 2 (Terminology):
------------------------------

Q2_1: Many of the definitions have been defined in draft-ietf-v6ops-siit-dc. Now they are re-defined, and sometimes with a little different wording.

For those definitions, my suggestion would be to say:

"As defined in [draft-ietf-v6ops-siit-dc], a XXX is a blah blah blah" - copy/pasting the text from draft-ietf-v6ops-siit-dc.

Q2_2: In the Edge Relay, I think it would be good to mention the two types (node-based and network-based).

Section 4 (Deployment Considerations):
---------------------------------------------------

Q4_1:

The text in section 4.1. says:

                             "The IPv6 Path MTU between the ER and the BR will typically be larger
   than the default value defined in Section 4 of [RFC6145] (1280),"

What is (1280)?

Section 5 (Intra-IDC IPv4 Communication):
---------------------------------------------------

Q5_1:

The text in section 5.1 says:

"If the BR supports hairpinning as described in Section 4.2 of I-D
   .ietf-v6ops-siit-eam [I-D.ietf-v6ops-siit-eam],"

I suggest to remove I-D.ietf-v6ops-siit-eam. The reference is enough.

Section 7 (IANA Considerations):
----------------------------------------

Q7_1: Do we normally remove the section if there are no requests from IANA? Personally I prefer to keep the explicit "This draft makes no request of the IANA." sentence.

(I had the same comment on draft-ietf-v6ops-siit-dc, so whatever the outcome is it can be applied to both documents).

Section 8 (Security Considerations):
----------------------------------------

Q8_1:

The text says:

"See the Security Considerations section in
   [I-D.ietf-v6ops-siit-dc] for additional security considerations
   applicable to the SIIT-DC architecture in general."

I suggest to remove "additional".

Q8_2:

Is there a need to have section 8.1, or can all text be put in section 8?